# $Revision: 1.15 $, $Date: 2008/09/01 20:02:22 $
Summary:	Bluetooth PIN manager
Summary(pl.UTF-8):	Zarządca kodów PIN dla Bluetooth
Name:		bluez-pin
Version:	0.30
Release:	3
License:	GPL
Group:		Applications
Source0:	ftp://ftp.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.bz2
# Source0-md5:	518226e84ea0925511184fe85f89e901
URL:		http://gpe.handhelds.org/projects/bluez-pin.shtml
BuildRequires:	GConf2-devel >= 2.0.0
BuildRequires:	bluez-libs-devel
BuildRequires:	dbus-glib-devel >= 0.50
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple program which takes care of the PIN numbers used
to pair Bluetooth devices. When a PIN is required for either an
incoming or outgoing connection, it pops up a window to allow the code
to be entered. PINs can optionally be saved in a persistent database,
for use with dumb devices that are unable to remember pairing
information across sessions.

%description -l pl.UTF-8
Bardzo prosty program pilnujący numerów PIN używanych do parowania
urządzeń Bluetooth. Kiedy wymagany jest PIN dla przychodzącego lub
wychodzącego połączenia, pokazuje okienko umożliwiające wprowadzenie
kodu. PIN-y opcjonalnie mogą być przechowywane w bazie danych do
używania z prymitywnymi urządzeniami nie potrafiącymi zapamiętać
informacji o parowaniu między sesjami.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
#-f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/bluez-pin
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/bluez.conf
%{_pixmapsdir}/bt-logo.png
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluez-pin.spec,v $
Revision 1.15  2008/09/01 20:02:22  arekm
- release 3

Revision 1.14  2007-09-11 22:37:13  glen
- rel 2

Revision 1.13  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.11  2006/10/09 17:06:30  qboosh
- removed oudated pl.po-update patch (no translatable messages in this version)

Revision 1.10  2006/10/09 06:37:58  qboosh
- cleanup

Revision 1.9  2006/09/17 01:54:45  wolvverine
- up to 0.30

Revision 1.8  2005/10/28 22:39:11  qboosh
- updated to 0.26, added pl.po-update,dbus patches

Revision 1.7  2005/05/12 17:50:40  qboosh
- not ready for dbus 0.31

Revision 1.6  2005/05/12 07:05:20  leafnode
- updated to 0.25

Revision 1.5  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.4  2004/10/02 19:25:19  darekr
- updated to 0.24

Revision 1.3  2004/08/27 19:58:08  qboosh
- now builds

Revision 1.2  2004/08/27 19:56:04  qboosh
- typo

Revision 1.1  2004/08/27 19:13:57  qboosh
- new, untested
